Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.xsd
Class SampleXmlUtil

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.xsd.SampleXmlUtil

    public class SampleXmlUtil

extends java.lang.Object

XmlBeans class for generating XML from XML Schemas

Field Summary
`static java.lang.String[]` | `WORDS`
`static javax.xml.namespace.QName` | `XSI_TYPE`

Constructor Summary
`SampleXmlUtil(boolean soapEnc)`

Method Summary
`static javax.xml.namespace.QName` | `crackQName(java.lang.String qName)` Cracks a combined QName of the form URL:localname
`java.lang.String` | `createSample(org.apache.xmlbeans.SchemaType sType)`
`static java.lang.String` | `createSampleForType(org.apache.xmlbeans.SchemaType sType)`
`void` | `createSampleForType(org.apache.xmlbeans.SchemaType stype, org.apache.xmlbeans.XmlCursor xmlc)` Cursor position Before: ^ After: ^
`boolean` | `isExampleContent()`
`boolean` | `isIgnoreOptional()`
`boolean` | `isSoapEnc()`
`boolean` | `isTypeComment()`
`void` | `setExampleContent(boolean content)`
`void` | `setIgnoreOptional(boolean ignoreOptional)`
`void` | `setTypeComment(boolean comment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORDS

    public static final java.lang.String[] WORDS

### XSI_TYPE

    public static final javax.xml.namespace.QName XSI_TYPE

Constructor Detail

### SampleXmlUtil

    public SampleXmlUtil(boolean soapEnc)

Method Detail

### isSoapEnc

    public boolean isSoapEnc()

### isExampleContent

    public boolean isExampleContent()

### setExampleContent

    public void setExampleContent(boolean content)

### isTypeComment

    public boolean isTypeComment()

### setTypeComment

    public void setTypeComment(boolean comment)

### createSample

    public java.lang.String createSample(org.apache.xmlbeans.SchemaType sType)

### createSampleForType

    public static java.lang.String createSampleForType(org.apache.xmlbeans.SchemaType sType)

### createSampleForType

    public void createSampleForType(org.apache.xmlbeans.SchemaType stype,
                                    org.apache.xmlbeans.XmlCursor xmlc)

  Cursor position Before: ^ After: ^

### crackQName

    public static javax.xml.namespace.QName crackQName(java.lang.String qName)

  Cracks a combined QName of the form URL:localname

### isIgnoreOptional

    public boolean isIgnoreOptional()

### setIgnoreOptional

    public void setIgnoreOptional(boolean ignoreOptional)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.